Subject: Re: bug#18915: 24.3; Feature: Prompt to make executable on write-file

From: Stefan Monnier <[email-masked]>
Date: Fri, 31 Oct 2014 17:16:31 -0400

> It would be useful if Emacs on write-file would first write the
> new file, and then (only if that involved creating the new file,
> and only if the buffer was previously visiting an executable file)
> prompt for whether to make the newly written file executable.

That could be done, even without prompting, I think.

The main downside is that I feel this covers only a very small corner case.

        Stefan